Skip to main content
DELETE
/
api
/
v1
/
email-accounts
/
tag-mapping
curl -X DELETE "https://server.smartlead.ai/api/v1/email-accounts/tag-mapping?api_key=YOUR_KEY" \
  -H "Content-Type: application/json" \
  -d '{"email_account_ids": [101, 102], "tag_ids": [1]}'
{
  "ok": true,
  "message": "Tags removed successfully"
}
Remove tag associations from email accounts. This does not delete the tags themselves.

Query Parameters

api_key
string
required
Your SmartLead API key

Request Body

email_account_ids
array
required
Array of email account IDs to remove tags from. Minimum 1 required.
tag_ids
array
required
Array of tag IDs to remove. Minimum 1 required.
curl -X DELETE "https://server.smartlead.ai/api/v1/email-accounts/tag-mapping?api_key=YOUR_KEY" \
  -H "Content-Type: application/json" \
  -d '{"email_account_ids": [101, 102], "tag_ids": [1]}'

Response Codes

200
Success
Request successful
400
Bad Request
Invalid request parameters or malformed request body
401
Unauthorized
Invalid or missing API key
422
Validation Error
Request validation failed. Check parameter types and constraints.
{
  "ok": true,
  "message": "Tags removed successfully"
}